Bug 749991 - Review Request: eclipse-wtp-servertools - WTP Server Tools
Summary: Review Request: eclipse-wtp-servertools - WTP Server Tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-29 15:46 UTC by Vladimir Kostadinov
Modified: 2011-11-26 22:59 UTC (History)
3 users (show)

Fixed In Version: eclipse-wtp-servertools-3.3.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-07 07:50:32 UTC
Type: ---
akurtako: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Vladimir Kostadinov 2011-10-29 15:46:54 UTC
Spec URL: http://dev.technogamma.biz/eclipse-wtp-servertools/eclipse-wtp-servertools.spec

SRPM URL: http://dev.technogamma.biz/eclipse-wtp-servertools/eclipse-wtp-servertools-3.3.1-1.fc15.src.rpm

Description: The Server tools project is responsible for the framework and adapters for selected servers. It provides a generic infrastructure and J2EE specific server components.

Comment 1 Alexander Kurtakov 2011-11-02 14:33:44 UTC
I'll do this one.

Comment 2 Alexander Kurtakov 2011-11-02 21:59:08 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
./eclipse-wtp-servertools.spec: W: invalid-url Source0: eclipse-wtp-servertools-3.3.1-fetched-src.tar.bz2
Fine as there is fetch script. 
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: EPL
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[-]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[!]  Package does not own files or directories owned by other packages.
[-]  Javadoc documentation files are generated and included in -javadoc subpackage
[-]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[-]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.


=== Issues ===
1. Don't own %{install_loc} as it is owned by eclipse itself. Own %{install_loc}/* instead. This is minor issue so I won't block on it but please fix it prior to import.

APPROVED

Comment 3 Gwyn Ciesla 2011-11-03 01:31:14 UTC
Please include an SCM request.

https://fedoraproject.org/wiki/Package_SCM_admin_requests

Thanks!

Comment 4 Vladimir Kostadinov 2011-11-03 08:38:04 UTC
New Package SCM Request
=======================
Package Name: eclipse-wtp-servertools
Short Description: The Server tools project is responsible for the framework and
adapters for selected servers. It provides a generic infrastructure and J2EE
specific server components.
Owners: vladimirk
Branches: f16
InitialCC: akurtakov

Sorry!

Comment 5 Gwyn Ciesla 2011-11-03 12:28:45 UTC
Git done (by process-git-requests).

Comment 6 Alexander Kurtakov 2011-11-07 07:50:32 UTC
Koji build http://koji.fedoraproject.org/koji/buildinfo?buildID=272151

Closing.

Comment 7 Fedora Update System 2011-11-17 10:22:33 UTC
eclipse-wtp-servertools-3.3.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/eclipse-wtp-servertools-3.3.1-2.fc16

Comment 8 Fedora Update System 2011-11-26 22:59:43 UTC
eclipse-wtp-servertools-3.3.1-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.